Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions | Public Attributes
kIpAddress Struct Reference
kApi/Io

## Description

Represents an IP address.

Inheritance diagram for kIpAddress:

## Public Member Functions
kIpAddress | kIpAddress_Any (kIpVersion version)
| Gets an address representing an automatically-assigned address. More...
kIpAddress | kIpAddress_AnyV4 ()
| Gets an address representing an automatically-assigned IPv4 address. More...
kIpAddress | kIpAddress_BroadcastV4 ()
| Gets an address suitable for broadcasting IPv4 datagrams. More...
kBool | kIpAddress_Equals (kIpAddress a, kIpAddress b)
| Compares two addresses for equality. More...
kStatus | kIpAddress_Format (kIpAddress address, kChar *text, kSize capacity)
| Formats an IP address as a string. More...
kIpAddress | kIpAddress_FromHost32u (k32u address)
| Converts a host-endian 32-bit integer to an IPv4 address. More...
kIpAddress | kIpAddress_FromNet32u (k32u address)
| Converts a network-endian 32-bit integer to an IPv4 address. More...
kBool | kIpAddress_IsLoopback (kIpAddress address)
| Reports whether the given address is a loopback address. More...
kIpAddress | kIpAddress_Loopback (kIpVersion version)
| Gets the loopback address. More...
kIpAddress | kIpAddress_LoopbackV4 ()
| Gets the IpV4 loopback address. More...
kStatus | kIpAddress_Parse (kIpAddress *address, const kChar *text)
| Parses a text-formatted IP address. More...
k32u | kIpAddress_ToHost32u (kIpAddress address)
| Converts an IPv4 address to a host-endian 32-bit integer. More...
k32u | kIpAddress_ToNet32u (kIpAddress address)
| Converts an IPv4 address to a network-endian 32-bit integer. More...
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Public Attributes
kByte | address [16]
| Address bytes (most significant byte first).
kIpVersion | version
| Address version.

The documentation for this struct was generated from the following file:

- Io/kNetwork.h